Bug 1419991 - lsblk no longer lists partition with multipath
Summary: lsblk no longer lists partition with multipath
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath
Version: 7.3
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: Lin Li
URL:
Whiteboard:
Depends On:
Blocks: 1546552
TreeView+ depends on / blocked
 
Reported: 2017-02-07 15:02 UTC by Karel Volný
Modified: 2019-04-25 15:17 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-25 15:17:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Karel Volný 2017-02-07 15:02:47 UTC
Filed from caserun https://tcms.engineering.redhat.com/run/302817/?#caserun_14993827

Version-Release number of selected component (if applicable):
observed with both
util-linux-2.23.2-33.el7
util-linux-2.23.2-33.el7_3.1

Steps to Reproduce: 
run /CoreOS/util-linux/Regression/bz1208081-RHEL7-lsblk-does-not-list-dm-multipath-and

Actual results: 
NAME        MAJ:MIN RM  SIZE RO TYPE  MOUNTPOINT
sda           8:0    0  500M  0 disk  
└─mpatha    253:2    0  500M  0 mpath 
  └─mpatha1 253:3    0  499M  0 part  


Expected results:
NAME                MAJ:MIN RM  SIZE RO TYPE  MOUNTPOINT
sda                   8:0    0  500M  0 disk  
├─sda1                8:1    0  500M  0 part  
└─mpatha (dm-0)     253:0    0  500M  0 mpath 
  └─mpathap1 (dm-1) 253:1    0  500M  0 part

Comment 11 Karel Volný 2019-01-07 14:59:47 UTC
ahem, sorry to intervene when I no longer maintain the test, however, in the original bug 1208081 it was specifically requested to show the partition, so a 'solution' like "we don't show it anymore by default, let's include a workaround in the test that will get the output back" just doesn't seem right to me

... but maybe I got the above conversation wrong, apologies then

Comment 12 Ben Marzinski 2019-01-07 21:27:13 UTC
It's not that we simply don't show the partition device; we actually remove it. So /dev/sda1 doesn't exist if /dev/sda is used by multipath, unless the user runs partprobe to bring it back.  Thus, the lsblk behavior seems correct, and we aren't changing the multipath behavior, because doing so would bring back all the customer issues that caused us to change it in the first place. This was previously only done by multipath in RHEL, but it is now upstream.

Comment 13 Ben Marzinski 2019-02-01 00:17:26 UTC
Unless anyone has any objections, I'm going to close this NOTABUG


Note You need to log in before you can comment on or make changes to this bug.